Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.turtle
Class Shoot

    java.lang.Object
      de.grogra.graph.impl.Edge
          de.grogra.graph.impl.Node
              de.grogra.imp3d.objects.Null
                  de.grogra.imp3d.objects.ShadedNull
                      de.grogra.imp3d.objects.AxisBase
                          de.grogra.turtle.TurtleStep
                              de.grogra.turtle.Shoot

All Implemented Interfaces:
  Transformation, VertexSequence.Vertex, Manageable, PersistenceCapable, Shareable, UserFields, XObject, TurtleModifier, Map, java.io.Serializable

Direct Known Subclasses:
  ArgShoot, F, F0

    public abstract class Shoot

extends TurtleStep
implements TurtleModifier, VertexSequence.Vertex

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class de.grogra.graph.impl.Node
`Node.AccessorBridge, Node.FieldAttributeAccessor, Node.NType`

Nested classes/interfaces inherited from interface de.grogra.util.Map
`Map.Chain`

Field Summary
`static Node.NType` | `$TYPE`
`static Node.NType.Field` | `localRegisters$FIELD`

Fields inherited from class de.grogra.imp3d.objects.AxisBase
`SCALE_V_MASK, scaleV$FIELD, USED_BITS`

Fields inherited from class de.grogra.imp3d.objects.ShadedNull
`INFINITE_MASK, interior, interior$FIELD, shader, shader$FIELD, treatedAsInfinite$FIELD`

Fields inherited from class de.grogra.imp3d.objects.Null
`transform, transform$FIELD, TRANSFORMING_MASK, transforming$FIELD`

Fields inherited from class de.grogra.graph.impl.Node
`ADDITIONAL_FIELDS, bits, DELETED, EXTENT_BIT, EXTENT_MASK, extentIndex$FIELD, extentTail$FIELD, HAS_OBSERVERS, IS_INTERPRETIVE, isInterpretive$FIELD, LAST_EXTENT_INDEX, layer$FIELD, MARK, mark$FIELD, MIME_TYPE, MIN_UNUSED_SPECIAL_OF_SOURCE, MIN_UNUSED_SPECIAL_OF_TARGET, name$FIELD`

Fields inherited from interface de.grogra.util.Map
`DEFAULT_VALUE, EMPTY_MAP`

Constructor Summary
`Shoot()`

Method Summary
`void` | `execute(java.lang.Object node, TurtleState state, GraphState gs)`
`protected boolean` | `getBoolean(BooleanAttribute a, GraphState gs)`
`protected float` | `getFloat(FloatAttribute a, GraphState gs)`
`protected int` | `getInt(IntAttribute a, GraphState gs)`
`float[]` | `getLocalRegisters()`
`protected java.lang.Object` | `getObject(ObjectAttribute a, java.lang.Object placeIn, GraphState gs)`
`int` | `getSymbolColor()`
`Matrix34d` | `getVertexTransformation(java.lang.Object node, GraphState gs)`
`void` | `setLocalRegisters(float[] value)`

Methods inherited from class de.grogra.turtle.TurtleStep
`getDouble, getLength, postTransform`

Methods inherited from class de.grogra.imp3d.objects.AxisBase
`isScaleV, setScaleV`

Methods inherited from class de.grogra.imp3d.objects.ShadedNull
`getInterior, getNTypeImpl, getShader, isTreatedAsInfinite, newInstance, setBackShader, setColor, setColor, setFrontShader, setInterior, setMaterial, setShader, setShaders, setTreatedAsInfinite`

Methods inherited from class de.grogra.imp3d.objects.Null
`getLocalTransformation, getTransform, getTranslation, isTransforming, preTransform, setRotation, setScale, setTransform, setTransform, setTransform, setTransform, setTransform, setTransform, setTransform, setTransform, setTransforming, setTranslation`

Methods inherited from class de.grogra.graph.impl.Node
`addEdgeBitsTo, addReference, appendBranchNode, appendBranchNode, appendReferencesTo, clone, clone, cloneGraph, dump, dumpTree, dup, dupUnmanagedFields, edgeChanged, fieldModified, findAdjacent, get, getAccessor, getAccessor, getAttributes, getAxisParent, getBranch, getBranchLength, getBranchNode, getBranchTail, getByte, getChar, getCommonAncestor, getCurrentGraphState, getDirectChildCount, getEdgeAttributeAccessor, getEdgeAttributes, getEdgeBitsTo, getEdgeTo, getExtentIndex, getFirst, getFirstEdge, getGraph, getId, getIndex, getInstantiator, getLayer, getLong, getManageableType, getName, getNeighbor, getNext, getNType, getOrCreateEdgeTo, getOrNull, getPersistenceManager, getPredecessor, getProvider, getShort, getSource, getStamp, getSuccessor, getSymbol, getTarget, getTransaction, getUserField, getUserFieldCount, getXClass, getXData, hasName, initProvider, initXClass, insertBranchNode, insertBranchNode, instantiateGraph, isAncestorOf, isDirection, isManagingInstance, isMarked, isRoot, isSource, isTarget, manageableReadResolve, manageableWriteReplace, paramString, removeAll, removeEdgeBitsTo, removeFromChain, removeFromChain, removeReference, setBranch, setBranch, setExtentIndex, setGraphForDeserialization, setLayer, setMark, setName, setSuccessor, setSuccessor, specialEdgeAdded, specialEdgeRefModified, specialEdgeRemoved, toString, writeReplace`

Methods inherited from class de.grogra.graph.impl.Edge
`addEdgeBits, getBitMark, getEdgeBits, getObjectMark, getSpecialEdgeDescriptor, parseEdgeKeys, remove, removeEdgeBits, setBitMark, setEdgeBits, setObjectMark, testEdgeBits`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface de.grogra.persistence.PersistenceCapable
`getBitMark, getObjectMark, setBitMark, setObjectMark`

Field Detail

### $TYPE

    public static final Node.NType $TYPE

### localRegisters$FIELD

    public static final Node.NType.Field localRegisters$FIELD

Constructor Detail

### Shoot

    public Shoot()

Method Detail

### execute

    public void execute(java.lang.Object node,
                        TurtleState state,
                        GraphState gs)

  Specified by:
    `execute` in interface `TurtleModifier`

### getBoolean

    protected boolean getBoolean(BooleanAttribute a,
                                 GraphState gs)

  Overrides:
    `getBoolean` in class `Node`

### getFloat

    protected float getFloat(FloatAttribute a,
                             GraphState gs)

  Overrides:
    `getFloat` in class `Node`

### getInt

    protected int getInt(IntAttribute a,
                         GraphState gs)

  Overrides:
    `getInt` in class `Node`

### getLocalRegisters

    public float[] getLocalRegisters()

### getObject

    protected java.lang.Object getObject(ObjectAttribute a,
                                         java.lang.Object placeIn,
                                         GraphState gs)

  Overrides:
    `getObject` in class `Node`

### getSymbolColor

    public int getSymbolColor()

  Overrides:
    `getSymbolColor` in class `ShadedNull`

### getVertexTransformation

    public Matrix34d getVertexTransformation(java.lang.Object node,
                                             GraphState gs)

  Specified by:
    `getVertexTransformation` in interface `VertexSequence.Vertex`

### setLocalRegisters

    public void setLocalRegisters(float[] value)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD